Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get trends by keyword

Prev Next

Available in Classic and VPC

The Shopping Insight API is a RESTful API that retrieves data from the Shopping Insight section of NAVER DataLab. You can view trends in search clicks for specific shopping categories in the shopping section of NAVER's integrated search and on NAVER Shopping by search keyword.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /shopping/v1/category/keywords

Request headers

For information about the headers common to NAVER API HUB, see NAVER API HUB request headers.

Request body

You can include the following data in the body of your request:

Field Type Required Description
startDate String Required Query period start date (yyyy-mm-dd)
  • Retrievable from August 1, 2017
endDate String Required Query period end date (yyyy-mm-dd)
timeUnit String Required Section unit
  • date | week | month
    • date: Daily
    • week: Weekly
    • month: Monthly
category String Required Shopping category code
  • When selecting a category on NAVER Shopping, this can be identified by the value of the cat_id parameter in the URL.
keyword Array Required An array of search keyword group names and search keyword pairs: keyword
  • Up to 5 pairs can be configured.
device String Optional Search device
  • pc | mo
    • pc: PC
    • mo: Mobile device
  • Default: All devices
gender String Optional Conditions based on the search user's gender
  • m | f
    • m: Male
    • f: Female
  • Default: All genders
ages Array Optional Conditions based on the search user's age
  • 10 | 20 | 30 | 40 | 50 | 60
    • 10: 10-19
    • 20: 20-29
    • 30: 30-39
    • 40: 40-49
    • 50: 50-59
    • 60: 60 or older
  • Default: All ages

keyword

The following describes keyword.

Field Type Required Description
name String Required Search keyword group name
param Array Required Search keyword to compare
  • Only one can be configured.

Request example

The request example is as follows:

curl --location --request POST https://naverapihub.apigw.ntruss.com/shopping/v1/category/keywords
--header X-NCP-APIGW-API-KEY-ID: {Client ID}
--header X-NCP-APIGW-API-KEY: {Client Secret}
--header Content-Type: application/json
--data '{
    "startDate": "2023-11-01",
    "endDate": "2023-11-07",
    "timeUnit": "date",
    "category": "50000000",
    "keyword": [
        { "name": "Suit", "param": ["Suit"] }
    ],
    "device": "pc",
    "gender": "f",
    "ages": ["20", "30"]
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
startDate String - Query period start date (yyyy-mm-dd)
endDate String - Query period end date (yyyy-mm-dd)
timeUnit String - Section unit
results Array - Query result list: results

results

The following describes results.

Field Type Required Description
title String - Search keyword group name
keyword Array - Search keyword
data Array - Click trend data by section: data

data

The following describes data.

Field Type Required Description
period String - Start date by section (yyyy-mm-dd)
ratio Number - Relative proportion of click volume by section
  • Relative values, with the highest value in each section set to 100

Response status codes

For information about the HTTP status codes common to all NAVER API HUB, see NAVER API HUB response status codes.

Response example

The response example is as follows:

{
    "startDate": "2023-11-01",
    "endDate": "2023-11-07",
    "timeUnit": "date",
    "results": [
        {
            "title": "Suit",
            "keyword": [
                "Suit"
            ],
            "data": [
                {
                    "period": "2023-11-01",
                    "ratio": 50
                },
                {
                    "period": "2023-11-02",
                    "ratio": 100
                },
                {
                    "period": "2023-11-03",
                    "ratio": 12.5
                },
                {
                    "period": "2023-11-05",
                    "ratio": 100
                }
            ]
        }
    ]
}